<?php

use Illuminate\Http\Request;

define('LARAVEL_START', microtime(true));

/*
|--------------------------------------------------------------------------
| Check If The Application Is Under Maintenance
|--------------------------------------------------------------------------
*/

if (file_exists($maintenance = __DIR__.'/app/hoja-tiempo/storage/framework/maintenance.php')) {
    require $maintenance;
}

/*
|--------------------------------------------------------------------------
| Register The Auto Loader
|--------------------------------------------------------------------------
| Ruta en el servidor:
|   /home/evolucionamos/public_html/ges-chronos/           ← este archivo
|   /home/evolucionamos/public_html/ges-chronos/app/hoja-tiempo/  ← app
|--------------------------------------------------------------------------
*/

require __DIR__.'/app/hoja-tiempo/vendor/autoload.php';

$app = require_once __DIR__.'/app/hoja-tiempo/bootstrap/app.php';

$kernel = $app->make(Illuminate\Contracts\Http\Kernel::class);

$response = $kernel->handle(
    $request = Request::capture()
)->send();

$kernel->terminate($request, $response);